| OpenCV 3.4.1 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::UMatData Struct Reference
Core functionality » Basic structures

`#include "mat.hpp"`

## Public Types
enum | { COPY_ON_MAP =1, HOST_COPY_OBSOLETE =2, DEVICE_COPY_OBSOLETE =4, TEMP_UMAT =8, TEMP_COPIED_UMAT =24, USER_ALLOCATED =32, DEVICE_MEM_MAPPED =64, ASYNC_CLEANUP =128 }

## Public Member Functions
| UMatData (const MatAllocator *allocator)
| ~UMatData ()
bool | copyOnMap () const
bool | deviceCopyObsolete () const
bool | deviceMemMapped () const
bool | hostCopyObsolete () const
void | lock ()
void | markDeviceCopyObsolete (bool flag)
void | markDeviceMemMapped (bool flag)
void | markHostCopyObsolete (bool flag)
bool | tempCopiedUMat () const
bool | tempUMat () const
void | unlock ()

## Public Attributes
int | allocatorFlags_
const MatAllocator * | currAllocator
uchar * | data
int | flags
void * | handle
int | mapcount
uchar * | origdata
UMatData * | originalUMatData
const MatAllocator * | prevAllocator
int | refcount
size_t | size
int | urefcount
void * | userdata

## Member Enumeration Documentation

## § anonymous enum

anonymous enum

Enumerator
COPY_ON_MAP |
HOST_COPY_OBSOLETE |
DEVICE_COPY_OBSOLETE |
TEMP_UMAT |
TEMP_COPIED_UMAT |
USER_ALLOCATED |
DEVICE_MEM_MAPPED |
ASYNC_CLEANUP |

## Constructor & Destructor Documentation

## § UMatData()

cv::UMatData::UMatData | ( | const MatAllocator * | allocator | ) |

## § ~UMatData()

cv::UMatData::~UMatData | ( |  | ) |

## Member Function Documentation

## § copyOnMap()

bool cv::UMatData::copyOnMap | ( |  | ) | const

## § deviceCopyObsolete()

bool cv::UMatData::deviceCopyObsolete | ( |  | ) | const

## § deviceMemMapped()

bool cv::UMatData::deviceMemMapped | ( |  | ) | const

## § hostCopyObsolete()

bool cv::UMatData::hostCopyObsolete | ( |  | ) | const

## § lock()

void cv::UMatData::lock | ( |  | ) |

## § markDeviceCopyObsolete()

void cv::UMatData::markDeviceCopyObsolete | ( | bool | flag | ) |

## § markDeviceMemMapped()

void cv::UMatData::markDeviceMemMapped | ( | bool | flag | ) |

## § markHostCopyObsolete()

void cv::UMatData::markHostCopyObsolete | ( | bool | flag | ) |

## § tempCopiedUMat()

bool cv::UMatData::tempCopiedUMat | ( |  | ) | const

## § tempUMat()

bool cv::UMatData::tempUMat | ( |  | ) | const

## § unlock()

void cv::UMatData::unlock | ( |  | ) |

## Member Data Documentation

## § allocatorFlags_

int cv::UMatData::allocatorFlags_

## § currAllocator

const MatAllocator* cv::UMatData::currAllocator

## § data

uchar* cv::UMatData::data

## § flags

int cv::UMatData::flags

## § handle

void* cv::UMatData::handle

## § mapcount

int cv::UMatData::mapcount

## § origdata

uchar* cv::UMatData::origdata

## § originalUMatData

UMatData* cv::UMatData::originalUMatData

## § prevAllocator

const MatAllocator* cv::UMatData::prevAllocator

## § refcount

int cv::UMatData::refcount

## § size

size_t cv::UMatData::size

## § urefcount

int cv::UMatData::urefcount

## § userdata

void* cv::UMatData::userdata

The documentation for this struct was generated from the following file:

- core/include/opencv2/core/mat.hpp